Bug 170268 - CAN-2005-3110 ebtables race
CAN-2005-3110 ebtables race
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: James Morris
Brian Brock
public=20050314,impact=important,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 08:55 EDT by Mark J. Cox
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-808
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-27 11:09:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox 2005-10-10 08:55:28 EDT
"Race condition in ebtables netfilter module (ebtables.c) in Linux 2.6, when
running on an SMP system that is operating under a heavy load, might allow
remote attackers to cause a denial of service (crash) via a series of packets
that cause a value to be modified after it has been read but before it has been
locked."

Fixed in 2.6.12 upstream:
http://linux.bkbits.net:8080/linux-2.6/cset@42367117vo3LzC2fWLqtWkbVuUL05Q
Comment 4 Red Hat Bugzilla 2005-10-27 11:09:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-808.html

Note You need to log in before you can comment on or make changes to this bug.